<div style="margin-bottom: 15px;">

    <p-dataTable
        [value]="salesUnitRequirements"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]"
        [totalRecords]="totalItems"
        [responsive]="true"
        [lazy]="true"
        [(first)]="first"
        row="itemsPerPage"
        totalRecords="totalItems"
        rowHover="true"
        dataKey="idRequirement"
        (onLazyLoad)="loadDataLazy($event)"
        (onEditComplete)="updateRowData($event)">
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <button 
                        style="margin: 7px 0px;"
                        pButton type="button"
                        class="ui-button-primary btn-sm"
                        [disabled]="disableBtnAddSUR()" 
                        (click)="newData()"
                        icon="fa-plus"
                        label="{{ 'entity.action.add' | translate }}">
                    </button>
                </li>
            </ul>
        </p-header>
        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.salesUnitRequirement.product'|translate}}" *ngIf="idMotor === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.productId">
                    {{rowData.productName}}
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.salesUnitRequirement.color'|translate}}" *ngIf="idFeature === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.colorId">
                    {{rowData.colorDescription}}
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.salesUnitRequirement.shipTo'|translate}}" *ngIf="idShipTo === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.customerName">
                    {{rowData.customerName}}
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '120px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="button"
                    [routerLink]="['/sur-request-edit/' + rowData.idRequirement]"
                    replaceUrl="true"
                    icon="fa-pencil"
                    class="flat-button">
                </button>
                <input type="text" size="1" [(ngModel)]="val1" id="input" name="val1" pInputText pKeyFilter="int" placeholder="qty">
                <button pButton type="button"
                (click)="duplicateData(rowData)"
                icon="fa-clone"
                class="flat-button">
            </button>
            </ng-template>
            <!-- <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="button"
                    [routerLink]="['/sur-request-edit/' + rowData.idRequirement]"
                    replaceUrl="true"
                    icon="fa-plus"
                    class="flat-button">
                </button>
            </ng-template> -->
        </p-column>
    </p-dataTable>
</div>
